import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import ManagedServiceForRedisLogoLight from './ManagedServiceForRedisLogoLight';
import ManagedServiceForRedisLogoDark from './ManagedServiceForRedisLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const ManagedServiceForRedisLogoSvg = forwardRef(function ManagedServiceForRedisLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(ManagedServiceForRedisLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(ManagedServiceForRedisLogoLight, Object.assign({}, props, { ref: ref })));
});
export default ManagedServiceForRedisLogoSvg;
